Skip to main content
PUT
/
accounting_new
/
journal_entry
/
{journal_entry_id}
Update journal entry
curl --request PUT \
  --url https://api.zenskar.com/accounting_new/journal_entry/{journal_entry_id} \
  --header 'Content-Type: application/json' \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "description": "<string>",
  "currency": "<string>",
  "journal_lines": [
    {
      "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "credits": 123,
      "debits": 123,
      "currency": "<string>",
      "tags": [
        {
          "reference_tag_type": "<string>",
          "reference_tag_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "reference_tag_content": "<string>"
        }
      ],
      "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "contract_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "credit_note_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tax_jurisdiction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "refund_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "revenue_contract_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "revenue_contract_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "performance_obligation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "custom_tags": {}
    }
  ],
  "event": "<string>",
  "posted_at": "2023-11-07T05:31:56Z",
  "custom_data": {},
  "status_type": "pending"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "currency": "<string>",
  "journal_lines": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "credits": 123,
      "debits": 123,
      "currency": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "tags": [
        {
          "reference_tag_type": "<string>",
          "reference_tag_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "reference_tag_content": "<string>"
        }
      ],
      "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "contract_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "credit_note_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tax_jurisdiction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "revenue_contract_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "revenue_contract_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "performance_obligation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "custom_tags": {}
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "posted_at": "2023-11-07T05:31:56Z",
  "custom_data": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

journal_entry_id
string<uuid>
required

Body

application/json
description
string
required
currency
string
required
journal_lines
(CreateJournalLineRequestSchema · object | CreateJournalLineFromAccountDataRequestSchema · object)[]
required
event
string | null
posted_at
string<date-time> | null
custom_data
Custom Data · object
status_type
enum<string> | null
Available options:
pending,
forecasted,
estimated,
posted

Response

Successful Response

id
string<uuid>
required
organisation_id
string<uuid>
required
description
string
required
currency
string
required
journal_lines
JournalLineSchema · object[]
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
posted_at
string<date-time> | null
custom_data
Custom Data · object